/*Fonty*/

@font-face {
    font-family: "Pismo";
    src: url(Fonts/CabinSketch-Regular.ttf);
}

::selection
{
    background-color: rgb(201, 40, 164);
}

html
{
    scroll-behavior: smooth;
}

body
{
    background-color: rgb(7, 0, 47);
    color: white;
    margin: 0;
    font-family: Pismo;
    overflow: auto;
    overflow-x: hidden;
    width: 100%;
}

span
{
    margin: auto;
}

.emailnone
{
    display: none;
}

.emailsent
{
    width: 100%;
    height: 50px;
    font-size: 25px;
    padding: 20px;



    top: 0;
    left: 0;

    display: flex;
    justify-content: center;
    align-items: center;
    position: fixed;

    z-index: 999;
    background-color: rgba(83, 5, 97, 0.689);
    backdrop-filter: blur(10px);

    animation: emailslide 3s forwards;
}

#navigation
{
    list-style: none;
    display: flex;
    justify-content: space-between;
    align-items: center;
    margin-top: 0;
    padding: 10px;

    border: 3px solid rgb(98, 19, 135);

    margin: 20px;
    border-radius: 7px;

}

#loginnav
{
    padding-right: 50px;
}

#mainnav
{
    width: 50%;
    display: flex;
}


#NavIcon
{
    width: 10%;
}

#CloseIcon
{
    width: 6%;
}

#sidenav
{
    position: fixed;
    top: 0;
    right: 0;
    z-index: 999;
    width: 200px;
    height: 100vh;
    background-color: rgba(83, 5, 97, 0.312);
    backdrop-filter: blur(10px);

    display: none;
    flex-direction: column;
    justify-content: flex-start;
    align-items: flex-start;

    color: white;
    text-decoration: none;
    gap: 20px;
    padding-top: 20px;

    animation: navslide 0.5s;
}

#sidenav a
{
    text-decoration: none;
    color: white;
}

#tutorialnum
{
  margin: 10px;
}

#mainnav a
{
    text-decoration: none;
    color: white;
}

.tutorialicons
{
    width: 30%;
}

#startinglink
{
    color: rgb(255, 0, 225);
}

ul
{
    list-style: none;
    display: flex;
    justify-content: space-around;

    font-size: 18px;

}

li:hover
{
    cursor: pointer;
    font-size: 20px;
}

li
{
   transition: 0.5s;
}

#MainMoto
{
    font-size:  40px;
    color: white;
    font-family: Consolas;
    border-right: 5px solid;
    margin: auto;
    padding: 0;
    overflow: hidden;
    white-space: nowrap;
    width: 95%;

    margin-bottom: 70px;

    animation: typing 2s steps(15), cursor .4s step-end infinite alternate;
}

#mainimg
{
    width: 100%;
    mask-image: linear-gradient(to "bottom",rgba(0,0,0,1),rgba(0,0,0,0));
    max-height: 100%;
    animation: blurry 1s forwards;
}

#arrowrev
{
    width: 20%;
    transform: rotate(45deg)
}

#StartingButton
{
    width: 20%;
    border-radius: 50%;
}

#StartingButton:hover
{
    cursor: pointer;
}

#infodiv
{
    position: relative;
    margin: 10%;

    margin-bottom: 5%;
}

#arrowdiv
{
    display: flex; 
    justify-content: center; 
    gap: 120px; 
    margin-top: 10px;
}

h4
{
    text-align:left;
    width: 100%;
    align-self: flex-end;
    margin: 0;
    margin-bottom: 100px;
}

.Logos
{
    width: 15%;
}

#DownButton
{
    width: 10%;
}

#DownButton:nth-child(1)
{
    animation: scale 1s infinite;
}

.container
{
    display: inline-block;
}

#storager
{
    padding-top: 0;
    text-align: center;
}



#LogoDiv
{
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 10%;
}

#container
{
    position: relative;
}

#instrucs
{
   display: flex;
   justify-content: space-between;

}

#instrucs li
{
    color: rgb(255, 185, 246);
    background-color: rgb(18, 1, 116);
    width: 25%;
    height: 400px;

    text-align: center;
    display: flex;
    justify-content: center;
    align-items: center;

    font-size: 70px;
    border-radius: 5px;
}

h3
{
    margin-left: 50;
    overflow: hidden;
    white-space: nowrap;
    width: 100%;
    text-align: center;

    animation: typing 2s steps(29), cursor .4s step-end infinite alternate;
}

#IconDiv
{
    
    width: 15%;
}

#logo
{
   width: 15%;
}

#arrow
{
 width: 20%;
 transform: rotate(120deg);
 position: absolute;
}

#tutorialdiv::after
{
    content: "";
    position: absolute;
    top: -3px;
    bottom: -3px;
    left: -3px;
    right: -3px;
    background: conic-gradient(from 0deg, blue, rgb(255, 0, 230), blue);

    z-index: -1;
}

#tutodiv
{
    width: 100%;
   

    display: flex;
    justify-content: space-evenly;
    align-items: center;
    gap: 20px;
}

#iconp
{
    font-size: 13px;
}

#instrucs li:hover
{
    background-color: rgb(67, 5, 181);
}

#infodivbottom
{
    width: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
}

#columndiv
{
    display: flex;
    justify-content: center;
}

#instrucs p
{
    font-size: 20px;
}

#tutorialdiv
{
    position: relative;
    width: 27%;
    background-color: rgb(46, 15, 66);
    border-radius: 2%;

    display: flex;
    justify-content: center;
    align-items: center;

    font-size: 50px;

    height: 50vh;

    text-align: center;
    transition: 0.5s;
}

#infodivlang
{
    width: 90%;
    margin: auto;
    margin-top: 70px;
}

#infodivlang strong
{
    color: rgb(166, 120, 245);
}

.tenor-gif-embed
{
    width: 50%;
}

#tutorialdiv:hover
{
    background-color: rgb(80, 42, 106);
}


#starting_link
{
    text-align: center;
    font-size: 30px;
    margin-top: 100px;
    margin-bottom: 100px;
}

#nextstep
{
    width:15%;
}

#tutorialdiv p
{
    font-size: 20px;
}

#instrucs
{
    border: 2px solid blue;
    width: 50%;

    display: flex;
    justify-content: space-evenly;
}

#storager
{
  
    position: absolute;
    top: 0;
    left: 0;
    right: 0;

    width: 100%;
    height: 100%;

    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
}

form
{
    margin: auto;
    border: 4px solid  rgb(66, 7, 94);;
    width: 75%;

    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    gap: 20px;
    border-radius: 10px;
    margin-bottom: 200px;

}


input::placeholder
{
    font-family: Pismo;
}

#captext
{
    font-size: 30px;
}

input[type="text"], input[type="email"], textarea
{
    width: 70%;
    font-size: 20px;
    font-family: Pismo
}

button[type="submit"]
{
    width: 20%;
    padding: 15px;
    background-color: rgb(168, 45, 145);
    border: none;
    border-radius: 4px;
    font-size: 20px;
    font-family: Pismo;
    margin-bottom: 20px;
    color: white;

    border: 2px solid white;
}

#formtitle
{
    text-align: center; font-size: 3em;
}

#mainlogo
{
    width: 70px;
    height: 70px;
}

.inputs
{
    background-color: rgb(7, 0, 47);
    outline: none;
    border-style: none none solid none;
    color: white;
    border-color: rgb(66, 7, 94);
    transition: 0.5s;
}

textarea
{
    margin-top: 20px;
    border: 2px solid rgb(66, 7, 94);
    color: white;
    background-color: rgb(7, 0, 47);
    transition: 0.5s;
}

textarea:focus-within
{
    outline: none;
    border-color: white;
}

#chaptitle
{
    text-align: center;
    font-size: 3em;
}

.inputs:focus-within
{
    outline: none;
    border-bottom: 2px solid rgb(255, 255, 255);
}

#footerlogo
{
    width: 150px;
    height: 150px;
}

#enddiv
{
    background-color: rgb(58, 28, 54);
    height: 5vh;
    display: flex;
    justify-content: space-around;
    align-items: center;
    font-family: Arial, Helvetica, sans-serif;
}

#footernav a
{
    text-decoration: none;
    color: rgb(169, 160, 160);
}

#footerdiv
{
    display: flex;
    border: 2px solid  rgb(255, 0, 230);
}

.enddivs
{

    width: 33%;
    background-color: rgb(5, 1, 28);
    height: 30vh;
}

.enddivs:nth-child(1)
{
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}

#infodiv
{
    width: 100%;
}

.enddivs:nth-child(2)
{
    display: flex;
    flex-direction: column;
    align-items: center;
}

.enddivs:nth-child(3)
{
    display: flex;
    align-items: center;
    flex-direction: column;
}

#footernav
{
   flex-direction: column;
}

#footernav li:nth-child(1)
{
    margin-top: 10px;
    margin-bottom: 10px;
    font-size: 24px;
}

#startinglink
{
    transition: 0.1s;
    animation: blinking 0.5s infinite;
}

#footernav li
{
    margin: 5px;
}

footer
{
    background-color: rgb(5, 1, 28);
    height: 100px;
    width: 100%;
     color: rgb(169, 160, 160);
}
/*Pc Size*/

@media(min-width: 900px){
    #StartingButton
    {
        width: 10%;
    }
    #StartingButton:hover
    {
        width: 11%;
    }
    h3
    {
        font-size: 20px;
    }

}


/*Mobile Size*/

/*Animácie*/

@keyframes cursor
{
    50% {border-color: transparent;}
}

@keyframes blinking {
    0% {color: rgb(255, 0, 225);}
    50% {color: rgb(224, 164, 217);}
    100% {color: rgb(255, 0, 225);}
}


@keyframes typing
{
    from { width: 0}
}

@keyframes blurry
{
    from {filter: blur(0px);}
    to {filter: blur(5px);}
}

@keyframes scale
{
    0% {transform: scale(1);}
    50% {transform: scale(1.4);}
    100% {transform: scale(1);}
}

@keyframes emailslide
{
    0% {transform: translateY(0%);}
    60% {transform: translateY(0%);}
    100% {transform: translateY(-100%);}
}


@keyframes navslide
{
    from {transform: translateX(200%);}
    to {transform: translateX(0%);}
}

@keyframes navslideback
{
    from {transform: translateX(0%);}
    to {transform: translateX(200%);}
}

